#Include once "window9.bi"

Function TrackBarGadget Alias "TrackBarGadget" (ByVal gadget As Integer, ByVal x As Integer,ByVal y As Integer,ByVal Width_ As Integer,ByVal height_ As Integer,ByVal min_ As Integer, ByVal max_ As Integer,ByVal style As Integer=1) As HWND Export
  Var hhh = CreateWindowEx( 0, TRACKBAR_CLASS, "", WS_VISIBLE Or WS_CHILD  Or style, _
                           x, y, Width_, height_, GETGURRENTAL(), Cast(HMENU,gadget), 0, 0 )
  SendMessage( hhh, TBM_SETRANGEMAX, 0, max_ )
  SendMessage( hhh, TBM_SETRANGEMin, 0, min_ )
  ADDIN9999 (gadget,hhh)
  ColorAdd(hhh,15790320,0)
  Return hhh
End Function
